summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-06-04 07:42:33 +0200
committerHans de Graaff <graaff@gentoo.org>2019-06-04 07:42:33 +0200
commit014eb76bf3548ac41cc5dea23f2bfd5cf52b8fa6 (patch)
treebb3ea819293e7d4595040cba942b0d060cbdab10 /dev-ruby/ruby2ruby
parentdev-ruby/sexp_processor: add 4.12.1 (diff)
downloadgentoo-014eb76bf3548ac41cc5dea23f2bfd5cf52b8fa6.tar.gz
gentoo-014eb76bf3548ac41cc5dea23f2bfd5cf52b8fa6.tar.bz2
gentoo-014eb76bf3548ac41cc5dea23f2bfd5cf52b8fa6.zip
dev-ruby/ruby2ruby: add 2.4.3
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/ruby2ruby')
-rw-r--r--dev-ruby/ruby2ruby/Manifest1
-rw-r--r--dev-ruby/ruby2ruby/ruby2ruby-2.4.3.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/ruby2ruby/Manifest b/dev-ruby/ruby2ruby/Manifest
index 8d2ec3da278..4401b5a0318 100644
--- a/dev-ruby/ruby2ruby/Manifest
+++ b/dev-ruby/ruby2ruby/Manifest
@@ -1 +1,2 @@
DIST ruby2ruby-2.4.2.gem 26624 BLAKE2B c7ad5c63829bf03cc166d42f2ae67b47790b4652b1973367881a4c242866acffabf6783cc3296ca7ea91ff3e9967f703852be6c4bcb53dfaaff0f822b50747db SHA512 ae8a34a77d48a97d29bd0ea9e2653e6189666564e971b985e7a459a562f8f03fdff4ec8775a2184cef578249aebbc8a050b57613b63d3c09b7a84aec5f727a7c
+DIST ruby2ruby-2.4.3.gem 26624 BLAKE2B fa8252e3e89fdef2c512e3f61dcea7e02ad000d0d65b14b5dcc2ee26d7ee6cc6243536bf3f745c44465c15cc557d1e5c2c9252421d3375da5142a2fe4b4ce1b1 SHA512 9858c2b8ceefe3604cbfedeb0c7c60ada2328d1bb7c5dbeb888936a3025af13718f33f498bb52ee5e659b021907a6e8c44117c6f3a4d4bbbb2dfaa8ddd15601f
diff --git a/dev-ruby/ruby2ruby/ruby2ruby-2.4.3.ebuild b/dev-ruby/ruby2ruby/ruby2ruby-2.4.3.ebuild
new file mode 100644
index 00000000000..c909c1fb777
--- /dev/null
+++ b/dev-ruby/ruby2ruby/ruby2ruby-2.4.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc History.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Generates readable ruby from ParseTree"
+HOMEPAGE="https://github.com/seattlerb/ruby2ruby"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/sexp_processor-4.6.0:4
+ >=dev-ruby/ruby_parser-3.1:3
+ !<dev-ruby/ruby2ruby-1.3.1-r1"
+ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.3:5 >=dev-ruby/sexp_processor-4.10.0:4 )"
+
+all_ruby_prepare() {
+ sed -i -e '/plugin :isolate/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}